Documentation Index
Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
Use this file to discover all available pages before exploring further.
POST /v1/sessions/{session_id}/turns/{turn_id}/resolve
Agent の実行中にツール呼び出し結果(tool use)が必要な場合、このエンドポイントを通じてツール実行結果を提出し、Agent の処理を継続させます。
注意: このエンドポイントは現在有効化されていません(404 を返します)。M3 ゲート機能または将来のバージョンで実装される可能性があります。
パスパラメータ
| パラメータ | 型 | 説明 |
|---|
session_id | string | Session ID(sess_ プレフィックス) |
turn_id | string | Turn ID(turn_ プレフィックス) |
ヘッダー
| 名称 | 必須 | 値 |
|---|
| Authorization | はい | Bearer $QODER_PAT |
| Content-Type | はい | application/json |
リクエストボディ(想定形式)
| フィールド | 型 | 必須 | 説明 |
|---|
tool_results | array | はい | ツール実行結果リスト |
tool_results[].tool_use_id | string | はい | 対応する tool_use ID |
tool_results[].content | string | はい | ツールが返した結果内容 |
リクエスト例
curl -X POST https://openapi.qoder.sh/api/v1/cloud/sessions/sess_019e392c0d1e74e095d21ea4c6b41def/turns/turn_019e392c0d787ceea6bb62943f9ac3ec/resolve \
-H "Authorization: Bearer $QODER_PAT" \
-H "Content-Type: application/json" \
-d '{
"tool_results": [
{
"tool_use_id": "toolu_abc123",
"content": "ツール実行結果データ"
}
]
}'
レスポンス
現在の状態
このエンドポイントは HTTP 404(プレーンテキスト 404 page not found)を返します。これはルートがまだ登録されていないことを示します。
想定される成功レスポンス(HTTP 200 OK)
機能が公開されると、更新後の Turn 状態または空のレスポンスを返すことが想定されます。
エラーレスポンス
| HTTP | type | 説明 |
|---|
| 400 | invalid_request_error | リクエスト形式エラー |
| 401 | authentication_error | PAT が無効または期限切れ |
| 404 | not_found_error | Session または Turn が存在しない / ルート未実装 |
| 409 | conflict_error | Turn がツール結果待ち状態にない |